profile-image

tonypizza

Thierry Deseez , France

ImapQuickCheck

Email Jan 20 2010
Score 64%
64 Likes
36 Dislikes

ImapQuickCheck

Email Jan 20 2010
Score 60%
60 Likes
40 Dislikes

qlipper

Utilities Jan 20 2010
Score 65%
65 Likes
35 Dislikes

qControlCenter

System Software May 19 2008
Score 69%
69 Likes
31 Dislikes

qControlCenter

System Software May 19 2008
Score 54%
54 Likes
46 Dislikes

ArchAssistant

System Software May 07 2008
Score 64%
64 Likes
36 Dislikes

ArchAssistant

System Software May 07 2008
Score 83%
83 Likes
17 Dislikes

archassistant

System Software Oct 04 2007
Score 64%
64 Likes
36 Dislikes

KPopAssistant

Email Sep 21 2007
Score 74%
74 Likes
26 Dislikes
qlipper

Utilities 25 comments

Score 65%
65 Likes
35 Dislikes
Jan 20 2010
Please check here :

http://gitorious.org/~pvanek
http://gitorious.org/qlipper
http://code.google.com/p/qlipper/

regards/ - Feb 16 2011
I'll probably release some kind of language pack in next version.

If you're in the hurry, instructions to make translations work are the following :

1/ edit the .ts file according to your language. Leave it where it is (in the /ts folder).

2/ run "lrelease qclip.pro" from the command line : this will generate .qm files in the /ts folder.

3/ move the .qm file corresponding to your language either in "/usr/share/qlipper/translations/" or "/home/YourUserName/.config/Qlipper/"

4/ app should be translated next time you run it.


Regards/ - Jan 11 2010
adding the following code at the beginning of the constructor seems to solve the settings problem in Windows :

QSettings::setDefaultFormat ( QSettings::IniFormat );


regards/ - Jan 09 2010
thanks. Arch is a great distro.

regards/ - Jan 09 2010
It appears to be more a Qt problem in Windows than a programming bug.

Which Qt version do you use in Windows ?

I think I'll have a try in windows by myself when I get time. Damn, it is supposed to be cross-platform !

regards/ - Jan 09 2010
Well, I'll think about that in next version.

regards/ - Jan 09 2010
hi truefusion

I made a few modifications in version 1.5, hope they will solve the problem.

Unfortunately I did not test the program in windows myself, so I'll be happy you tell me.


regards/ - Jan 07 2010
Hi

that's possible !

Can you tell me where to find the 'clear' button icon ?

thanks.

- Jan 05 2010
ImapQuickCheck

Email 42 comments

Score 64%
64 Likes
36 Dislikes
Jan 20 2010
Yes the python code is open source. The .py file can be found under :

~/.config/ImapQuickCheck/

Warning : as far as i remember, you need to recompile ImapQuickCheck with the modified python file in order to use it.

cheers - Nov 30 2010
Hi

Pretty strange I would say. Which imap server are you using ? Can it be accessed through SSL as well ?

Maybe the imap server has temporary problems. It will be probably better in a few days.

ImapQuickCheck uses Python's imap libraries to retrieve info from imap servers, and maybe it has problems getting info from slow answering ones.

I personally also may encounter the "fetch error" from time to time, but it rarely lasts long. It seems to affect particular servers more than others. Note this is note a "log-in error", proving that ImapQuickCheck is connected to the server but cannot retrieve info. To me, this is a Python problem. Note as rock solid as it should be.

regards/
- Nov 30 2010
by xtekhne on: Dec 31 2009

I managed to print out the traceback (here enclosed) from sys.exc_info(). but output is unclear to me.

Can you draw any useful informations?
Thank you
---P

---- enc
('KeyError', '<no args>', [' File ".config/ImapQuickCheck/imap_check_sql_final.py", line 159, in imapMailboxChecker\n mailArray.append( [ extractDataNew(mesginfo[0][1], _keys_new[0]),\n', ' File ".config/ImapQuickCheck/imap_check_sql_final.py", line 91, in extractDataNew\n return htmlentities( filterHTML( _data[(_start+len(_currentKey)):_end].strip() ) )\n', ' File ".config/ImapQuickCheck/imap_check_sql_final.py", line 55, in htmlentities\n result.append(\'&%s;\' % codepoint2name[ord(c)])\n'])
sys.exc_info() <type 'exceptions.KeyError'>

------ enc enc


Hi,

this looks like a character encoding problem, which is hell in python. The function that is supposed to solve the problem is the one that appears to be failing here.
I don't have a clue, since you have one mailbox that does not meet this problem. And I don't have personnally the problem with 4 different mailboxes. At this point I do not have enough stuff to identify the source of the problem. - Jan 01 2010
Well, I have four imap accounts refreshed every five minutes, and everything goes fine as long as the imap servers work allright.

The FETCH error means that the imap server was asked to retrieve unread mail, and that something went wrong doing that. This should not happen in the imap server is ok.

The LOGIN error means that the server rejected the login/password pair.

If it works for one account, it should do as well for the others.

One last thing that can be done is to check the contents of the database ('accounts.db') located in the folder where the python script was, and look for 'ghost characters' or something strange else.


regards
- Dec 30 2009
Hi,

I also have Ubuntu Karmic and it works fine.

Check you have all these dependencies installed :
python-sqlite
python-pysqlite2
libqt4-sql
libqt4-sql-mysql
libqt4-sql-sqlite
libqt4-sql-sqlite2

Normally, libqt4-sql-sqlite2 and python-pysqlite2 should be enough.

You may also launch the python script in a terminal and see what it says. It is located in /home/<MyUserName>/.config/ImapQuickCheck/imap_check_sql_final.py

Also check in your account settings that port 993 is used (it should be by default).

There is no more, I guess, I could do to help you !

Good luck - Dec 29 2009
Hi xtekhne,

I just checked with a gmail account of mine (which I haven't been using for a long time) and ... it works !

It should work for you too, provided you have all the dependencies required (Qt4 including sql/sqlite module and python-pysqlite2).

The settings you use look correct (protocol : Imap SSL / host : imap.gmail.com) except for the user : remove the '@gmail.com' at the end.

What distro do you use ?


Regards/ - Dec 29 2009
ok for the patches and the translation.

regards/ - Sep 12 2009
Hi amair,

All of your proposals are very interesting but i am afraid that i don't have that much time to develop an app as full featured as mail-notification for now.

Anyway, I can give you some kind of an answer to the following points :

1/ well, I quite agree, got to find a more suitable icon.

2/ the Qt4 showMessage() instruction used for the popup does not allow fancy stuff to display in. I could eventually replace it with a command like: kdialog -passivepopup

3/ I have wondered the question of displaying many messages in the popup too, but I finally found it very 'intrusive' : half your desktop is suddenly showing the unread messages. I personnally rather something more discrete. This could eventually be an option in the Settings panel.

4/ doubleclick assigned to Email Reader
middleclick assigned to Email composer

5/ well, this is a point of view

6/ this would involve deep changes and quite some time to code

7/ Imap protocol makes it easy to retrieve 'Unseen' mail. In the contrary, pop3 does not. Local mbox : i dont know. Gmail could be not that difficult to implement.


regards/ - Sep 10 2009
hi

yes, it checks the INBOX folder on your imap server.

You may want to set an alternate inbox in the accounts settings dialog.

Setting various alternate inboxes is not currently supported, but this could be an idea for a future version.

regards/ - Sep 09 2009
Well, try again with updated version 1.2. Seems like this was a bug. My bad, sorry about this.

Let me know if this now works (or not !) for you.

Regards/ - Sep 09 2009
Hi,

You probably don't have the Sql module for Qt installed. Check the python-pysqlite2 package too.

regards/ - Sep 09 2009
ArchAssistant

System Software 15 comments

Score 83%
83 Likes
17 Dislikes
May 07 2008
Hi smart2128,

Please provide your e-mail, then i'll be able to send you the appropriate translation file to edit.

regards/

- Nov 06 2008
Any help welcome !
There is no svn at the moment.

What I need more for now are suggestions for the future developments of archassistant.

Let me know if you have some ideas.

regards/ - May 26 2008
Kdenlive

Video Apps 77 comments

by jbm
Score 91%
91 Likes
9 Dislikes
Apr 07 2013
Ok : the problem was that mlt was not compiled with qimage support. Now it does and kdenlive works fine. And looks great !

cheers - Oct 09 2008
I recompiled mlt & mlt++ with no problem. I recomplied kdenlive too. No problem. This time the program starts but dies immediatly with a Fatal error : MLT's avformat (FFMPEG) module not found. MLT's SDL module not found.

I checked MLT's installed files on my system and I found those :
mlt /usr/lib/mlt/libmltavformat.so
mlt /usr/lib/mlt/libmltcore.so
mlt /usr/lib/mlt/libmltdv.so
mlt /usr/lib/mlt/libmltfezzik.so
mlt /usr/lib/mlt/libmltgtk2.so
mlt /usr/lib/mlt/libmltinigo.so
mlt /usr/lib/mlt/libmltkdenlive.so
mlt /usr/lib/mlt/libmltoldfilm.so
mlt /usr/lib/mlt/libmltplus.so
mlt /usr/lib/mlt/libmltsdl.so
mlt /usr/lib/mlt/libmltsox.so
mlt /usr/lib/mlt/libmltvalerie.so
mlt /usr/lib/mlt/libmltvmfx.so
mlt /usr/lib/mlt/libmltvorbis.so
mlt /usr/lib/mlt/libmltwestley.so

So what kdenlive is complaining about ? - Oct 07 2008
I recompiled mlt & mlt++ with no problem. I recomplied kdenlive too. No problem. This time the program starts but dies immediatly with a Fatal error : MLT's avformat (FFMPEG) module not found. MLT's SDL module not found.

I checked MLT's installed files on my system and I found those :
mlt /usr/lib/mlt/libmltavformat.so
mlt /usr/lib/mlt/libmltcore.so
mlt /usr/lib/mlt/libmltdv.so
mlt /usr/lib/mlt/libmltfezzik.so
mlt /usr/lib/mlt/libmltgtk2.so
mlt /usr/lib/mlt/libmltinigo.so
mlt /usr/lib/mlt/libmltkdenlive.so
mlt /usr/lib/mlt/libmltoldfilm.so
mlt /usr/lib/mlt/libmltplus.so
mlt /usr/lib/mlt/libmltsdl.so
mlt /usr/lib/mlt/libmltsox.so
mlt /usr/lib/mlt/libmltvalerie.so
mlt /usr/lib/mlt/libmltvmfx.so
mlt /usr/lib/mlt/libmltvorbis.so
mlt /usr/lib/mlt/libmltwestley.so

So what kdenlive is complaining about ? - Oct 07 2008
Hi

Gave a try to 0.7beta1. Compiled fine but i was not able to launch the program.

Console says :

kdenlive(19254) MainWindow::parseProfiles: RESULTING MLT PATH: "/usr/share/mlt/profiles/"
mlt_repository.c, mlt_repository_init: failed to dlopen /usr/lib/mlt/libmltsox.so
mlt_repository.c, mlt_repository_init: failed to dlopen /usr/lib/mlt/libmltsdl.so
KCrash: Application 'kdenlive' crashing...
sock_file=/root/.kde4/socket-carrouf-G1/kdeinit4__0

Bugtracker mentions a /opt/qt/lib/libqt-mt.so.3 file which is not a qt4 file, but a qt3 one (im my distro).

Any idea ?

thanks - Oct 06 2008
qControlCenter

System Software 2 comments

Score 69%
69 Likes
31 Dislikes
May 19 2008
Why not ? As a matter of fact I do not have any EeePc, but this is probably not necessary.
Anyway you have to tell me more about the 'AsusLauncher' details.

regards/
- May 22 2008
FatRat

Network 20 comments

Score 69%
69 Likes
31 Dislikes
Nov 16 2009
Hi LubosD,

your program looks great. Will there be support for .nzb files ?

keep up great work.

- May 15 2008
KPar2

System Software 40 comments

Score 70%
70 Likes
30 Dislikes
Jan 07 2008
good for the status bar bug and the KDE 4 release.

I found that when listing files that are being checked, KPar2 does not show information about damages files such as 'Found 63 of 69 data blocks.'.

Is is possible to display this info in the list?

Thanks. - Jan 15 2008
Hi

I noticed that when you launch Kpar2 in Konqueror (right mouse button / Preview with Kpar2) the messages in the status bar (such as "Sources files verified" or "files repaired") remain after you press the Konqueror's "back" button.
You have to close to the current tab and reopen one to have the normal Konqueror's status bar messages restored.

Except this small disturbance, Kpar2 is really cool. Any plan to develop a KDE 4 version ?

- Dec 17 2007
Hey I didn't understood at first Kpar2 was integrated in Konqueror as a 'Kpart' : it simply rocks !

Now i can live without Konsole and the par2repair commandline.

Thanks ! - Nov 21 2007
JuffEd

Text Editors 80 comments

Score 83%
83 Likes
17 Dislikes
Aug 06 2010
Yes, that'll do well. Don't bother with the highlighting if this involves complicated coding. - Nov 21 2007
JuffdEd is getting better and better. I see you you have implemented some more syntax highlights. Good.

FEATURES REQUEST :
- comment/uncomment block of text according to the selected syntax highlight
- indenting text with the TAB key : when you have selected a block of text and you press the TAB key, text should not be erased but should be indented instead.
- indenting text 'backwards' should be allowed with keys combination SHIFT+TAB.
- auto-indent text feature (behaviour should correspond to a preselected indent style such as style python, style c, style xml, style c...)
- markers : pressing CTRL+B should highlight permanently a particular line or block of lines in the editor.
- markers : a color marker should be presented in the right scroll slider as well.
- even more popular syntax highlights : css, javascript, xhtml, asp, jsp, java, ini files ...

Good work. - Nov 21 2007
Can I download somewhere more syntax highlight files ? Such as php or html for instance ? - Nov 08 2007
KPopAssistant

Email 42 comments

Score 74%
74 Likes
26 Dislikes
Sep 21 2007
Hi Gspinoza,

I disabled the sorting functionality since it didn't do what expected. The sorting of the '#' column goes something like this : 1 10 100 1000 2 20 200 2000 3 30 ... This is an alphabetical sorting, not a numeric one. I did not find the trick to change this so I decided to keep things simple (not enabling sorting).

Sorry for the nuisance. - Nov 14 2007
Hi atilius,

both of your remarks are perfectly justified & pertinent. The features you ask should be available as an option somewhere in the Settings panel.
I'll be studying the inclusion of these points for future versions.

thanks for your interest/

- Sep 25 2007
Hi giova,

you have to install the "pykde" or "python-kde" package (which are kde bindings for python) in your distro.

regards/ - Sep 22 2007
Hi giova,

you have to install the "pykde" or "python-kde" package (which are kde bindings for python) in your distro.

regards/ - Sep 22 2007
KPopAssistant is a stand alone mail previewing application and does not require any email-clients to work, although it has a context menu that allows the user to launch external apps such as kmail , evolution or Thunderbird for instance.

Regards/ - Sep 22 2007
This does not appear to be a kpopassistant specific problem, looks more likely that there is something messy in your python installation (for an unknown reason). I cannot solve your problem but I can give you clues about what I would do in your case:

1/check if the following packages are actually installed in you distro : sqlite2, sqlite3, python-pysqlite.

2/check if there could be a confusion between python 2.4 & 2.5 installation.

3/directly modify the kpopassistant.py code from line 30 to 41 : erase all of these lines and just keep "from pysqlite2 import dbapi2 as sqlite" instead.

Good luck ! - Sep 21 2007
Seems like this kind of (apparently simple) feature would be way easier to implement in a Qt4-based app.

I'll check a little further. If it is not too complicated, i'll integrate this functionality in a future development.

regards/ - Sep 21 2007
Done in v0.3. Tell me if this works fine for you.

regards/ - Sep 21 2007
Thanks for using Kpopassistant!

I think I just forgot to update the 'About' dialog. The tarball online is version 0.2. Anyway if the app lets you set a POP3-SSL account, it means it is version 0.2.

Sorry for the nuisance. - Jul 24 2007
Sorry for my late answer. First of all I am very happy you use my app.

The error may be caused by some networking problem, or, - in your case - more probably by some specific charset decoding/encoding. I have to say that this is my worse nightmare in this project : handling specific charsets (.i.e. iso-8551, utf-8, etc.) in different languages. It seems I haven't found the perfect method yet.

Does this problem occur very often or just from time to time ?

Have you tried, eventually, to generate some more locales for your distro ?

Maybe you can try to preview your mail by pushing the "toggle view" button, this could help.


Let me kwnow. - May 09 2007
Hey szamrok I guess you're an arch linux fellow. If I'm right about this, I thank you. I am a convinced arch linux user too.


- Mar 14 2007
Thank you szamrok for supporting me ! :) And I perfectly agree with you.

I guess not everybody needs such an app as a mailbox notifier, but people who use them know why.
First of all I did not invent this kind of app at all. You can see that there is a lot of them available for windows, for instance. I guess I went through this because I did not find what I exactly wanted for Linux/Kde.
The first purpose oh this apps is to notify in realtime people for new mail, without the need of having your email client opened, which is often a heavyweight application. But KPopAssistant has absolutly no intention of replacing a full featured email client.
From there one can imagine what to do when noticed about a new mail arrival (here, from a systray icon) : read it, delete it, reply, check for attachment or size. You can check the whole mailbox size and see if it is not 100% full. You may also look for spam mail and delete it. In that concern I'll be certainly programming an extended version with an automatic spam filter in a near future.
Finally you may use this program when you're not at home with your own computer, and still manage your mailbox without a full email client properly configured.

So, some people need it or just find it's cool or handy, and some others just don't. It's up to them.



- Mar 14 2007
Ok I'll do this. After investigation about ssl pop connectivity, I guess this should not be a too difficult feature to add. - Mar 14 2007
SMPlayer

Video Apps 494 comments

by rvm
Score 88%
88 Likes
12 Dislikes
Apr 16 2014
Successfully compiled SMPlayer with Qt 4.2.3. And I have to say it quite rocks !
This is one of the most full featured video player I've tried, and yet I did not test everything. Good job.

What could be improved :

. the volume slider does not change the right output channel : should be Master Volume instead of PCM one. But still the best to do with this is not to affect any of the channels, just mix SMPlayer's audio level within the global alsa sound system.

. Fullscreen mode : an on-screen menu should appear when the mouse is dragged, for example, to the bottom edge of the screen. This menu would integrate an audio level gadget, a fullscreen toggle mode, progress slidebar, next track buttons, etc.




- Mar 13 2007
the compilation process ended with errors with Qt 4.2.3 :

-I.moc -I.ui -o .obj/preferencesdialog.o preferencesdialog.cpp
preferencesdialog.cpp: In constructor ‘PreferencesDialog::PreferencesDialog(QWidget*, const char*, bool, Qt::WFlags)’:
preferencesdialog.cpp:170: erreur: ‘priority_spacer’ was not declared in this scope
- Mar 12 2007
NzbPower

Network 4 comments

Score 67%
67 Likes
33 Dislikes
Aug 30 2006
NzbPower is cool. It's quite simple and it works. Compiled it under openSuse 10.1 whithout any problem.

Just wondering if overall download speed over newsgroup could be a little faster. Anyway, as this is my first time with NzbPower, I guess I have to wait a few days before getting to any conclusion about this. - Aug 30 2006
Wired

Audio Apps 28 comments

by jce
Score 78%
78 Likes
22 Dislikes
Jun 14 2006
The same goes for me : I get plenty of error messages with xmlerror involved such as (sample) :

/usr/include/libxml2/libxml/xmlerror.h:837: error: typedef ‘xmlGenericErrorFunc’ is initialized (use __typeof__ instead)
/usr/include/libxml2/libxml/xmlerror.h:868: error: function ‘void xmlParserError(void*, const char*, ...)’ is initialized like a variable
/usr/include/libxml2/libxml/xmlerror.h:872: error: function ‘void xmlParserWarning(void*, const char*, ...)’ is initialized like a variable
/usr/include/libxml2/libxml/xmlerror.h:876: error: function ‘void xmlParserValidityError(void*, const char*, ...)’ is initialized like a variable
/usr/include/libxml2/libxml/xmlerror.h:880: error: function ‘void xmlParserValidityWarning(void*, const char*, ...)’ is initialized like a variable
/usr/include/libxml2/libxml/valid.h:44: error: typedef ‘xmlValidityErrorFunc’ is initialized (use __typeof__ instead)


I tried to install the wired-libs 0.2 but it failed too. My distro is opensuse 10.1. - Jun 14 2006